curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/token \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/token"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/token"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/token")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"access_token": "tokenValue",
"expires_in": 3599,
"id_token": "tokenValue",
"refresh_token": "tokenValue",
"scope": "openid offline_access profile",
"token_type": "Bearer"
}{
"error": "invalid_grant",
"error_description": "AuthorizationCodeRepository: no authorization code found for value xxxxx"
}Token Request
OpenID Connect Token Endpoint as described in as described in §3.1.3 and §3.3.3 of OpenID Connect Core
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/token \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/token"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/token"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/token")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"access_token": "tokenValue",
"expires_in": 3599,
"id_token": "tokenValue",
"refresh_token": "tokenValue",
"scope": "openid offline_access profile",
"token_type": "Bearer"
}{
"error": "invalid_grant",
"error_description": "AuthorizationCodeRepository: no authorization code found for value xxxxx"
}Authorizations
Authentication using query parameters
Query Parameters
OAuth 2.0 response type requested
authorization_code, refresh_token, password, client_credentials, urn:ietf:params:oauth:grant-type:device_code, urn:amdocs:params:oauth:grant-type:token-exchange Authorization Code
OAuth 2.0 client-ID of the Relying Party
OAuth 2.0 client secret of the Relying Party
Redirection URI to which the response will be sent. Must match configured values for the Relying Party
(Optional) Unused
(Optional) Opaque value to be included in the ID Token
(Optional) Allowed authentication methods
(Optional) Maximum authentication age
(Optional) Previously-issued ID Token to be used as a reference
(Optional) Suggested User-ID
A security token that represents the identity of the acting party. Typically, this will be the party that is authorized to use the requested security token and act on behalf of the subject. This is required for the urn:amdocs:params:oauth:grant-type:token-exchange grant.
Response
OK
Token Response
JWT access token
"tokenValue"
Expiry time of the acess token
3599
JWT Id token
"tokenValue"
JWT refresh token (unsigned)
"tokenValue"
Scopes for that client
"openid offline_access profile"
The type of the token. (E.g. "Bearer")
"Bearer"

